## RENAME SYNONYM Statement (rename_synonym_statement)

The RENAME SYNONYM statement (rename_synonym_statement) changes the name of a synonym.

### Syntax

<rename_synonym_statement> ::=
RENAME [PUBLIC] SYNONYM <old_synonym_name> TO <new_synonym_name>

<old_synonym_name> ::= <synonym_name>
<new_synonym_name> ::= <synonym_name>

### Explanation

The old synonym name old_synonym_name must have been generated by the current user.

If PUBLIC is specified, the old synonym must be defined as PUBLIC.

A table of the current user with the new synonym name must not exist already.